automation-cloud
latest
false
- Erste Schritte
- Authentication
- Scopes und Berechtigungen
- Plattformverwaltungs-APIs

Automation Cloud-API-Handbuch
Letzte Aktualisierung 9. Apr. 2026
Rufen Sie Gruppenlizenzzuweisung mit Kontingent ab
Ruft die aktuelle Lizenzzuweisung und Kontingentkonfiguration für eine Gruppe ab. Erfordert eine externe Anwendung mit dem Scope PM.License.Read.
API-Endpunkt
GET {accessURL}/{organizationName}/lease_/api/account/{accountId}/user-license/group/{groupId}/with-quota
Ersetzen Sie {accessURL} in allen Endpunktpfaden durch die Basis-URL für Ihre Cloud-Plattform:
| Cloud Platform | Zugriffs-URL |
|---|---|
| Automation Cloud | https://cloud.uipath.com/ |
| Automation Cloud – Öffentlicher Sektor | https://govcloud.uipath.us/ |
| Automatisierung – cloudgeeignet | https://{customURL}.dedicated.uipath.com/ |
Anforderungsheader
--header 'Authorization: Bearer {access_token}'
--header 'Authorization: Bearer {access_token}'
Pfadparameter
| Pfadparameter | Datentyp | Beschreibung |
|---|---|---|
accountId (erforderlich) | GUID | Die ID der Organisation, in der sich Ihr Mandant befindet. |
groupId (erforderlich) | String | Die ID der Gruppe, der Sie Lizenzen zuweisen möchten. Sie können diese ID abrufen, indem Sie die folgenden Schritte ausführen . |
Antworten
200 OK
Gibt die zugeordneten Gruppenlizenzen mit konfigurierten Kontingenten und aktueller Nutzung zurück.
404
Organisation oder Gruppe ist nicht vorhanden.
Beispielanforderung
Die Anfrage sollte wie im folgenden Beispiel aussehen (cURL):
curl --location --request GET 'https://https://cloud.uipath.com/{organizationName}/lease_/api/account/1234/user-license/group/group-01/with-quota' \
--header 'Authorization: Bearer {access_token}'
curl --location --request GET 'https://https://cloud.uipath.com/{organizationName}/lease_/api/account/1234/user-license/group/group-01/with-quota' \
--header 'Authorization: Bearer {access_token}'
Hier ist der Antworttext für eine erfolgreiche Lizenzzuweisung:
{
"groupRule": {
"groupId": "group-01",
"organizationId": "1234",
"userBundleCodes": ["RPADEVPRONU", "IDU"]
},
"quotas": [
{
"userBundleCode": "RPADEVPRONU",
"limit": 10,
"currentUsage": 3
}
]
}
{
"groupRule": {
"groupId": "group-01",
"organizationId": "1234",
"userBundleCodes": ["RPADEVPRONU", "IDU"]
},
"quotas": [
{
"userBundleCode": "RPADEVPRONU",
"limit": 10,
"currentUsage": 3
}
]
}